﻿<?xml version="1.0" encoding="utf-8"?>
<diagnostics xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <!-- ********************************************************************
                                GENERIC ERRORS
       ******************************************************************** -->
  <diagnostic id="DVR.ATO.GEN.000209" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430296</Code>
      <Description>Invalid context. The number of Reporting party contexts must equal 1</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000102" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000102</Code>
      <Description>Head company Tax file number must be a valid TFN</Description>
      <LongDescription>The Head company Tax file number has failed the Tax File Number algorithm check</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.410128" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410128</Code>
      <Description>Declaration Statement Accepted Indicator must be 'TRUE'</Description>
      <LongDescription />
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.428021" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428021</Code>
      <Description>Invalid ACN</Description>
      <LongDescription>The Australian Company Number (ACN) has failed the algorithm check.</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.428247" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410009</Code>
      <Description>The Tax Agent number has failed the Tax Agent number algorithm check</Description>
      <LongDescription />
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500030" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500030</Code>
      <Description>Invalid context. Period start date must be the same across all duration contexts.</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000196" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000196</Code>
      <Description>Invalid context. Period start date must be the same as the Period end date for this form.</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000197" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000197</Code>
      <Description>Invalid context. Period start date cannot be any day in the future.</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500037" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500037</Code>
      <Description>Declarer Contact Name contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &#x26; * ( ) - = ; : ' " , . ? / or a space character.</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500046" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500046</Code>
      <Description>Invalid context. The number of RP.TrueAndCorrect contexts must not exceed 1.</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500047" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500047</Code>
      <Description>Invalid context. The number of Intermediary.TrueAndCorrect contexts must not exceed 1.</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500049" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500049</Code>
      <Description>Entity identifier scheme for Reporting Party must be "http://www.abr.gov.au/abn"</Description>
      <LongDescription/>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500050" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500050</Code>
      <Description>Invalid context. At least one declaration is required from either Intermediary or Reporting Party.</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500051" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500051</Code>
      <Description>Entity identifier scheme for Intermediary.TrueAndCorrect must be "http://www.abr.gov.au/abn"</Description>
      <LongDescription/>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500052" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500052</Code>
      <Description>Entity identifier scheme for ReportingParty.TrueAndCorrect must be "http://www.abr.gov.au/abn"</Description>
      <LongDescription/>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500054" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500054</Code>
      <Description>Intermediary declarer Australian Business Number has failed the algorithm check</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000191" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000191</Code>
      <Description>Declarer Contact Name must not exceed 100 characters</Description>
      <LongDescription>For Declarer contact name, the maximum allowable characters for this form is 100</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500056" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500056</Code>
      <Description>Declarer contact name must be provided</Description>
      <LongDescription />
      <Location>pyde.02.00:PersonUnstructuredName.FullName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500057" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500057</Code>
      <Description>Declarer Contact Name cannot contain space hyphen space combinations</Description>
      <LongDescription />
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500058" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500058</Code>
      <Description>Declarer position must not exceed 50 characters</Description>
      <LongDescription>For Declarer position, the maximum allowable characters for this form is 50</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500059" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500059</Code>
      <Description>Declarer position held of person making the declaration contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500060" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500060</Code>
      <Description>Contact telephone details must be provided</Description>
      <LongDescription>Declarer telephone area code and telephone number must be provided</LongDescription>
      <Location>pyde.02.00:ElectronicContact.Telephone.Minimal.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.500061" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500061</Code>
      <Description>Telephone number is required, if an area code is provided</Description>
      <LongDescription>Declarer telephone number is required when Declarer telephone area code is provided</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500062" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500062</Code>
      <Description>Area code is required, if a Telephone number is provided</Description>
      <LongDescription>Declarer daytime phone area code is required when Declarer daytime phone number is provided</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500063" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500063</Code>
      <Description>Declarer Telephone number must not exceed 15 characters</Description>
      <LongDescription>For Declarer Telephone number, the maximum allowable characters for this form is 15</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500065" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500065</Code>
      <Description>Declarer tax agent number must not be present for Reporting Party</Description>
      <LongDescription>Declarer tax agent number is only applicable for an Intermediary tax agent</LongDescription>
      <Location>pyid.02.00:Identifiers.TaxAgentNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500066" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430255</Code>
      <Description>Signature date must not be later than today</Description>
      <LongDescription />
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500067" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.307004</Code>
      <Description>Declaration Signature Date is required</Description>
      <LongDescription>Intermediary or Report Party declaration signatory date is required</LongDescription>
      <Location>pyin.02.00:Declaration.Signature.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.500068" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410078</Code>
      <Description>Declaration Statement Accepted Indicator must be present</Description>
      <LongDescription />
      <Location>pyin.02.00:Declaration.StatementAccepted.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.500069" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500069</Code>
      <Description>Declarer identifier contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - _ = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <!-- ********************************************************************
                                CGNFT ERRORS
       ******************************************************************** -->
  <diagnostic id="DVR.ATO.CGNFT.000001" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000001</Code>
      <Description>Invalid ABN</Description>
      <LongDescription>The Head company Australian business number has failed the ABN algorithm check</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000009" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000009</Code>
      <Description>Date of consolidation date is not required</Description>
      <LongDescription>The chosen Date of consolidation should not be completed when submitting a Notification of members joining and/or leaving the group request. If you are notifying the commissioner of a formation of a consolidated group, please submit a Members Joining/Leaving a consolidated group schedule with the Company tax return.</LongDescription>
      <Location>pyde.02.17:OrganisationDetails.TaxConsolidation.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000010" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000010</Code>
      <Description>Multiple entry consolidated group indicator is not required</Description>
      <LongDescription>The Multiple entry consolidated group indicator must not be set when submitting a Members Joining/Leaving a consolidated group schedule with the Notification of members joining and/or leaving the group request. If you are notifying the commissioner of a formation of a consolidated group, please submit a Members Joining/Leaving a consolidated group schedule with the Company tax return.</LongDescription>
      <Location>pyde.02.17:OrganisationDetails.TaxConsolidationMultipleEntryConsolidatedGroup.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000011" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000011</Code>
      <Description>Subsidiary Tax file number must be a valid TFN</Description>
      <LongDescription>The Subsidiary Tax file number has failed the Tax File Number algorithm check</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000015" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000015</Code>
      <Description>Subsidiary member exit reason description must not exceed 200 characters</Description>
      <LongDescription>For Subsidiary member exit reason description, the maximum allowable characters for this form is 200</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000017" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000017</Code>
      <Description>Entity identifier scheme for Consolidated Party must be "http://www.ato.gov.au/tfn"</Description>
      <LongDescription/>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000018" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000018</Code>
      <Description>Entity identifier scheme for ConsolidatedParty.PurchasingEntity must be "http://www.ato.gov.au/tfn"</Description>
      <LongDescription/>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000020" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000020</Code>
      <Description>Head company Legal name contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = ; : ' " , . ? / or a space character.</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000023" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000023</Code>
      <Description>Declarer Position held of person making the declaration must be provided</Description>
      <LongDescription />
      <Location>pyde.02.00:PersonNameDetails.Position.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000024" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000024</Code>
      <Description>Subsidiary legal name contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = ; : ' " , . ? / or a space character.</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000025" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000025</Code>
      <Description>Subsidiary member exit reason description contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000028" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000028</Code>
      <Description>Purchasing entity legal name contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = ; : ' " , . ? / or a space character.</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000029" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000029</Code>
      <Description>Head company Legal name must contain at least one alpha or numeric character</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000031" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000031</Code>
      <Description>Subsidiary legal name must contain at least one alpha or numeric character</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000032" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000032</Code>
      <Description>Purchasing entity legal name must contain at least one alpha or numeric character</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000033" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000033</Code>
      <Description>Head company Legal name cannot contain "The trustee", "The Exec", "exec" or "the TTE"</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000036" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000036</Code>
      <Description>Subsidiary ABN must not be the same  as the Head company ABN</Description>
      <LongDescription>The ABN of the subsidiary member joining or leaving the consolidated group must differ from the ABN of the head company</LongDescription>
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000038" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000038</Code>
      <Description>Head company Tax file number must be provided</Description>
      <LongDescription/>
      <Location>pyid.02.00:Identifiers.TaxFileNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000040" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000040</Code>
      <Description>Subsidiary TFN must not be the same  as the Head company TFN</Description>
      <LongDescription>The TFN of the subsidiary member joining or leaving the consolidated group must differ from the TFN of the head company</LongDescription>
      <Location>pyid.02.00:Identifiers.TaxFileNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000041" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000041</Code>
      <Description>Subsidiary legal name cannot contain "The trustee", "The Exec", "exec" or "the TTE"</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000043" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000043</Code>
      <Description>Head company Legal name must be provided</Description>
      <LongDescription/>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000044" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000044</Code>
      <Description>Purchasing entity legal name cannot contain "The trustee", "The Exec", "exec" or "the TTE"</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000049" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000049</Code>
      <Description>Head company Legal name cannot contain space hyphen space combinations</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000051" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000051</Code>
      <Description>Subsidiary legal name cannot contain space hyphen space combinations</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000052" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000052</Code>
      <Description>The Date of consolidation is required when lodging the income tax return of the head company</Description>
      <LongDescription>The Date of consolidation is required when a Members joining/leaving consolidated group schedule is lodged with the income tax return of the head company</LongDescription>
      <Location>pyde.02.17:OrganisationDetails.TaxConsolidation.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000054" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000054</Code>
      <Description>Purchasing entity legal name cannot contain space hyphen space combinations</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000055" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000055</Code>
      <Description>The Subsidiary member entry date must not be earlier than the chosen Date of consolidation</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000056" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000056</Code>
      <Description>Subsidiary member exit date must not be earlier than the Date of consolidation</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000059" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000059</Code>
      <Description>Multiple entry consolidated group indicator must be set</Description>
      <LongDescription>The Multiple Entry Consolidated group indicator must be set when a Members joining/leaving a consolidated group schedule is lodged with the income tax return of the head company.</LongDescription>
      <Location>pyde.02.17:OrganisationDetails.TaxConsolidationMultipleEntryConsolidatedGroup.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000060" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000060</Code>
      <Description>Head company Legal name cannot contain "P/L"</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000062" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000062</Code>
      <Description>Subsidiary legal name cannot contain "P/L"</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000065" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000065</Code>
      <Description>The Subsidiary legal name and Subsidiary Tax file number must be provided</Description>
      <LongDescription>The Subsidiary legal name and Subsidiary Tax file number must be provided, when the details of any subsidiary member joining or leaving have been completed  - Tax file number, Legal Name, Australian business number, Australian registered body number, Member entry date, Member exit date, Member exit reason, Member exit reason description, Purchasing entity legal name or Purchasing entity Australian business number</LongDescription>
      <Severity>Error</Severity>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000066" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000066</Code>
      <Description>Purchasing entity legal name cannot contain "P/L"</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000067" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000067</Code>
      <Description>Head company Legal name cannot contain repeated hyphen, apostrophe, or space characters</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000068" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000068</Code>
      <Description>Invalid context. The minimum number of Consolidated Party contexts is 1.</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000069" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000069</Code>
      <Description>Subsidiary legal name must be provided</Description>
      <LongDescription/>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000070" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000070</Code>
      <Description>Subsidiary legal name cannot contain repeated hyphen, apostrophe, or space characters</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000071" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000071</Code>
      <Description>Purchasing entity legal name cannot contain repeated hyphen, apostrophe, or space characters</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000076" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000076</Code>
      <Description>Invalid ABN</Description>
      <LongDescription>The Subsidiary Australian business number has failed the ABN algorithm check</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000078" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000078</Code>
      <Description>Subsidiary member exit reason description must be provided</Description>
      <LongDescription>When the Subsidiary member exit reason 'Other' is selected, the Subsidiary member exit reason description must be completed</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000079" xmlns="http://purl.oclc.org/dsdl/schematron"> 
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"> 
      <Code>CMN.ATO.CGNFT.000079</Code> 
      <Description>Purchasing entity details present and Subsidiary member exit reason not set to 'Full-sold'</Description> 
      <LongDescription>When Purchasing entity legal name or Purchasing entity Australian business number are provided, the Subsidiary member exit reason must be set to 'Full-sold'</LongDescription> 
      <Severity>Error</Severity> 
    </ProcessMessage> 
  </diagnostic> 
  
  <diagnostic id="DVR.ATO.CGNFT.000080" xmlns="http://purl.oclc.org/dsdl/schematron"> 
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"> 
      <Code>CMN.ATO.CGNFT.000080</Code> 
      <Description>Purchasing entity details absent and Subsidiary member exit reason set to 'Full-sold'</Description> 
      <LongDescription>When Subsidiary member exit reason is set to 'Full-sold', Purchasing entity legal name and Purchasing entity Australian business number must be provided</LongDescription> 
      <Severity>Error</Severity> 
    </ProcessMessage> 
  </diagnostic> 

  <diagnostic id="DVR.ATO.CGNFT.000082" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000082</Code>
      <Description>Invalid context. The number of ConsolidationParty.PurchasingEntity contexts must not exceed 1 for each ConsolidationParty context.</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000084" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000084</Code>
      <Description>Invalid ABN</Description>
      <LongDescription>The Purchasing entity Australian business number has failed the ABN algorithm check</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000087" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410114</Code>
      <Description>Declaration Signatory Identifier text must be present</Description>
      <LongDescription />
      <Location>pyin.02.00:Declaration.SignatoryIdentifier.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CGNFT.000089" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000089</Code>
      <Description>Subsidiary member entry date is invalid</Description>
      <LongDescription>The date the subsidiary member joined the consolidated group must not be prior to 01/07/2002 and cannot be a future date</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000090" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000090</Code>
      <Description>Subsidiary member entry date must be provided</Description>
      <LongDescription>The Subsidiary member entry date must be completed if the Members joining/leaving a consolidated group schedule is lodged with the income tax return of the head company</LongDescription>
      <Location>pyde.02.17:OrganisationDetails.TaxConsolidationSubsidiaryMemberEntry.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CGNFT.000091" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000091</Code>
      <Description>Invalid ARBN</Description>
      <LongDescription>The Subsidiary Australian registered body number has failed the ARBN algorithm check</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000092" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000092</Code>
      <Description>Subsidiary member exit date must not be earlier than the entry date</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000094" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000094</Code>
      <Description>Invalid ARBN</Description>
      <LongDescription>The Purchasing entity Australian registered body number has failed the ARBN algorithm check</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000096" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000096</Code>
      <Description>The Consolidated Party Purchasing Entity Tax file number should be the same as the associated Consolidated Party TFN</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000097" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000097</Code>
      <Description>The Subsidiary member exit date and Subsidiary member exit reason must be provided</Description>
      <LongDescription>The Subsidiary member exit date and Subsidiary member exit reason must be provided, when the details of any subsidiary member leaving have been completed  - Member exit date, Member exit reason, Member exit reason description, Purchasing entity legal name or Purchasing entity Australian business number</LongDescription>
      <Location>pyde.02.17:OrganisationDetails.TaxConsolidationSubsidiaryMemberExit.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000098" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000098</Code>
      <Description>The Declarer Reporting Party Australian Business number should be the same as the Reporting Party ABN</Description>
      <LongDescription/>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000099" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000099</Code>
      <Description>Subsidiary member exit date cannot be a future date</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000103" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000103</Code>
      <Description>Invalid context. The number of Consolidated Party contexts must not exceed 45.</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

</diagnostics>
