﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Context" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Rule validations for contexts that are applicable accross all of the LOS services.</title>


<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF period.startDate = NULLORBLANK WHERE CONTEXT(ALL)
                RETURN VALIDATION MESSAGE
            ENDIF  
        -->

<assert  id="VR.ATO.GEN.000199" diagnostics="DVR.ATO.GEN.000199" test="count(xbrli:context[not(@i:nil='true' or @i:nil='1')]) = count(xbrli:context/xbrli:period/xbrli:startDate[string-length(normalize-space(.)) != 0 and not(@i:nil='true' or @i:nil='1')])"></assert>
<!--
            IF COUNT(RP) <> 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.000208" diagnostics="DVR.ATO.GEN.000208" test="count(xbrli:context[@id = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 1"></assert>
<!--
            IF period.endDate = NULLORBLANK WHERE CONTEXT(ALL)
                RETURN VALIDATION MESSAGE
            ENDIF  
         -->

<assert  id="VR.ATO.GEN.000237" diagnostics="DVR.ATO.GEN.000237" test="count(xbrli:context[not(@i:nil='true' or @i:nil='1')]) = count(xbrli:context/xbrli:period/xbrli:endDate[string-length(normalize-space(.)) != 0 and not(@i:nil='true' or @i:nil='1')])"></assert>
<!--
            IF context.id = NULLORBLANK
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.000240" diagnostics="DVR.ATO.GEN.000240" test="count(xbrli:context[(count(@id) = 0 or string-length(normalize-space(@id)) = 0) and not(@i:nil='true' or @i:nil='1')]) = 0"></assert>
<!--    
            IF RP:entity.identifier.TFN = NULLORBLANK 
                 RETURN VALIDATION MESSAGE
            ENDIF  
        -->

<assert  id="VR.ATO.GEN.410113" diagnostics="DVR.ATO.GEN.410113.1" test="xbrli:context[@id=$RP.ContextId]/xbrli:entity/xbrli:identifier and
                        count(xbrli:context[@id=$RP.ContextId]/xbrli:entity/xbrli:identifier[(lower-case(@scheme) != 'http://www.ato.gov.au/tfn') or string-length(normalize-space(.)) = 0]) = 0 "></assert>
<!--
            IF COUNT(CONTEXT(RP.PASSI)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.428244" diagnostics="DVR.ATO.GEN.428244" test="count(xbrli:context[@id=$RP.PASSI.ContextId]) &lt;= 1"></assert>
<!-- 
            IF COUNT(CONTEXT(RP.Y0)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.LS.414094" diagnostics="DVR.ATO.LS.414094" test="count(xbrli:context[@id=$RP.Y0.ContextId]) &lt;= 1"></assert>
<!--
            IF COUNT(CONTEXT(RP.Y0-1)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.LS.414095" diagnostics="DVR.ATO.LS.414095" test="count(xbrli:context[@id=$RP.Y0-1.ContextId]) &lt;= 1"></assert>
<!--
            IF COUNT(CONTEXT(RP.Y0-2)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.LS.414096" diagnostics="DVR.ATO.LS.414096" test="count(xbrli:context[@id=$RP.Y0-2.ContextId]) &lt;= 1"></assert>
<!--
            IF COUNT(CONTEXT(RP.Y0-3)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.LS.414097" diagnostics="DVR.ATO.LS.414097" test="count(xbrli:context[@id=$RP.Y0-3.ContextId]) &lt;= 1"></assert>
<!--    
            IF COUNT(CONTEXT(RP.Y0-4)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.LS.414098" diagnostics="DVR.ATO.LS.414098" test="count(xbrli:context[@id=$RP.Y0-4.ContextId]) &lt;= 1"></assert>
<!--
            IF COUNT(CONTEXT(RP.Y0-5+)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.LS.414099" diagnostics="DVR.ATO.LS.414099" test="count(xbrli:context[@id=$RP.Y0-5P.ContextId]) &lt;= 1"></assert>
<!--
            IF COUNT(CONTEXT(RP.ALL)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.LS.414100" diagnostics="DVR.ATO.LS.414100" test="count(xbrli:context[@id=$RP.ALL.ContextId]) &lt;= 1"></assert>
<!--
            IF COUNT(RP) <> 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.000209" diagnostics="DVR.ATO.GEN.000209" test="not(
                           count($RP.Context) != 1
                          )"></assert>
</rule>

<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/xbrli:context[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.GEN.000201

            IF period.startDate >= period.endDate WHERE CONTEXT(ALL)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.000201" diagnostics="DVR.ATO.GEN.000201.0" test="
                        not
                        (
                            ( xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                               
                            and 
                            xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
                            )
                            and
                          
                          function:IsDate1GreaterOrEqualToDate2
                          (
                            xbrli:period[not(@i:nil='true' or @i:nil='1')]/
                            xbrli:startDate[not(@i:nil='true' or @i:nil='1')],
                            
                            xbrli:period[not(@i:nil='true' or @i:nil='1')]/
                            xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
                          )
                        )"></assert>
<!--
            IF (RprtPyType.xx.xx:ReportPartyTypeDimension <> ""RprtPyType.xx.xx:ReportingParty"")
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.001019" diagnostics="DVR.ATO.GEN.001019.0" test="count(xbrli:entity/xbrli:segment/xbrldi:explicitMember[matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$')
                            and not(matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$'))]) = 0"></assert>
<!--
            IF RelPrdDrtn.02.04.RelativePeriodDurationDimension <> NULLORBLANK AND (
                RelPrdDrtn.02.04:RelativePeriodDurationDimension <> 
                SET(“RelPrdDrtn.02.04:Y0"",“RelPrdDrtn.02.04:Y0Minus1"", “RelPrdDrtn.02.04:Y0Minus2"", “RelPrdDrtn.02.04:Y0Minus3"",""RelPrdDrtn.02.04:Y0Minus4"", “RelPrdDrtn.02.04:Y0Minus5Plus"",""RelPrdDrtn.02.04:All"")                                                                                                                           
                RETURN VALIDATION MESSAGE                                                                           
            ENDIF
        -->

<assert  id="VR.ATO.LS.414093" diagnostics="DVR.ATO.LS.414093" test="count(xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 2]/xbrldi:explicitMember[matches(@dimension,'^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$')
                              and not(matches(.,'^RelPrdDrtn\.\d\d\.\d\d:Y0$'))
                              and not(matches(.,'^RelPrdDrtn\.\d\d\.\d\d:Y0Minus1$'))
                              and not(matches(.,'^RelPrdDrtn\.\d\d\.\d\d:Y0Minus2$'))
                              and not(matches(.,'^RelPrdDrtn\.\d\d\.\d\d:Y0Minus3$'))
                              and not(matches(.,'^RelPrdDrtn\.\d\d\.\d\d:Y0Minus4$'))
                              and not(matches(.,'^RelPrdDrtn\.\d\d\.\d\d:Y0Minus5Plus$'))
                              and not(matches(.,'^RelPrdDrtn\.\d\d\.\d\d:All$'))]) = 0"></assert>
</rule>

<rule context="xbrli:context[not(@i:nil='true' or @i:nil='1')]/xbrli:entity[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF Identifier Scheme <> "http://www.ato.gov.au/tfn"
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.001021" diagnostics="DVR.ATO.GEN.001021.0" test="string-length(normalize-space(
                        xbrli:identifier[lower-case(@scheme) = 'http://www.ato.gov.au/tfn'])) &gt; 0"></assert>
<!--
            IF (entity.identifier.TFN WHERE CONTEXT(ALL)) <> RP:entity.identifier.TFN
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.001023" diagnostics="DVR.ATO.GEN.001023" test="xbrli:identifier[lower-case(@scheme) = 'http://www.ato.gov.au/tfn'] = $RP.Identifier.TFN"></assert>
</rule>
</pattern>