﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Content Validations</title>


<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">
<!--
            Rule: VR.ATO.NIPSS.416020
            
            IF COUNT(nipss.0001.lodge.req.xx.xx:Payer) < 1 OR COUNT(nipss.0001.lodge.req.xx.xx:Payer) > 99
               RETURN VALIDATION MESSAGE
            ENDIF
    	 -->


<assert  id="VR.ATO.NIPSS.416020" diagnostics="DVR.ATO.NIPSS.416020" test="not(count(nipss.0001.lodge.req.02.00:Payer) &gt; 99 
                          or count(nipss.0001.lodge.req.02.00:Payer) &lt; 1
                          )"></assert>
</rule>

<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/orgname1.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]">
<!--            
            Rule: VR.ATO.NIPSS.416019
            
            WHERE NOT IN TUPLE(nipss.0001.lodge.req.xx.xx:Payer)
            IF pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code  <> NULLORBLANK 
            AND pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code IN  <> ""MN""
            RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.NIPSS.416019" diagnostics="DVR.ATO.NIPSS.416019" subject="pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code" test="not(count(pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                          and upper-case(pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) != 'MN'
                          )"></assert>
</rule>

<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/nipss.0001.lodge.req.02.00:Payer[not(@i:nil='true' or @i:nil='1')]/orgname1.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]">
<!--
            Rule: VR.ATO.NIPSS.416014
       
            WHERE IN TUPLE(nipss.0001.lodge.req.xx.xx:Payer)
            IF pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code  <> NULLORBLANK 
                AND pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code IN  <> ""MTR""
            RETURN VALIDATION MESSAGE
            ENDIF
       -->


<assert  id="VR.ATO.NIPSS.416014" diagnostics="DVR.ATO.NIPSS.416014" subject="pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code" test="not(count(pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                          and upper-case(pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) != 'MTR'
                          )"></assert>
</rule>

<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/nipss.0001.lodge.req.02.00:Payer[not(@i:nil='true' or @i:nil='1')]">
<!--
            Rule: VR.ATO.NIPSS.416000
        
            IF ([NIPSS2] <> NULLORBLANK AND [NIPSS7] <> NULLORBLANK)
            RETURN VALIDATION MESSAGE
            ENDIF

            [NIPSS2] = NIPSS:RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier IN TUPLE(nipss.0001.lodge.req.xx.xx:Payer)
            [NIPSS7] = NIPSS:RP:pyid.xx.xx:Identifiers.WithholdingPayerNumber.Identifier IN TUPLE(nipss.0001.lodge.req.xx.xx:Payer)
        -->


<assert  id="VR.ATO.NIPSS.416000" diagnostics="DVR.ATO.NIPSS.416000" test="not(count(pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                          and count(pyid.02.00:Identifiers.WithholdingPayerNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                          )"></assert>
<!-- 
            Rule ID: VR.ATO.NIPSS.416001
    
            IF [NIPSS2] <> NULLORBLANK AND ABNALGORITHM([NIPSS2]) = FALSE
                RETURN VALIDATION MESSAGE
            ENDIF

            [NIPSS2] = NIPSS:RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier IN TUPLE(nipss.0001.lodge.req.xx.xx:Payer)
        -->


<assert  id="VR.ATO.NIPSS.416001" diagnostics="DVR.ATO.NIPSS.416001" test="not( 
                               count(pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                               and
                               not(pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and function:ValidateABN(.)])
                             )"></assert>
<!--
            Rule: VR.ATO.NIPSS.416002
            
            IF [NIPSS3] > [NIPSS4]*0.5 + 1
            RETURN VALIDATION MESSAGE
            ENDIF

            [NIPSS3] = NIPSS:RP:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount 
                       WHERE (TUPLE ELEMENT EXPLICIT rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = ""DFRW"") 
                                IN TUPLE(nipss.0001.lodge.req.xx.xx:PAYGWithholding)
                                
            [NIPSS4] = NIPSS:RP:lrla.xx.xx:Remuneration.PaymentToForeignResidentGross.Amount IN TUPLE(nipss.0001.lodge.req.xx.xx:Payer)
        -->


<assert  id="VR.ATO.NIPSS.416002" diagnostics="DVR.ATO.NIPSS.416002" subject="nipss.0001.lodge.req.02.00:PAYGWithholding/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount" test="not(sum(nipss.0001.lodge.req.02.00:PAYGWithholding/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(../rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code)='DFRW']) 
                          &gt; (sum(lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) * 0.5 + 1)
                          )"></assert>
<!--
            Rule: VR.ATO.NIPSS.416003
            
            WHERE IN TUPLE nipss.0001.lodge.req.xx.xx:Payer
            IF ([NIPSS6] <> NULLORBLANK AND [NIPSS10] <> NULLORBLANK)
               RETURN VALIDATION MESSAGE
            ENDIF

            [NIPSS6] = NIPSS:RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MTR") IN TUPLE(orgname1.xx.xx:OrganisationNameDetails)
            [NIPSS10] = NIPSS:RP:pyde.xx.xx:PersonNameDetails.FamilyName.Text WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = "LGL") AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Currency.Code = "C")) IN TUPLE(prsnstrcnm2.xx.xx:PersonNameDetails)
        -->


<assert  id="VR.ATO.NIPSS.416003" diagnostics="DVR.ATO.NIPSS.416003" subject="nipss.0001.lodge.req.02.00:PAYGWithholding/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount" test="not
                          (
                            (count(orgname1.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                            and orgname1.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 'MTR')
                            and
                            (count(prsnstrcnm2.02.00:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                            and prsnstrcnm2.02.00:PersonNameDetails/pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 'LGL'
                            and prsnstrcnm2.02.00:PersonNameDetails/pyde.02.00:PersonNameDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 'C')
                          )"></assert>
<!--
            Rule: VR.ATO.NIPSS.416004
        
            IF [NIPSS2] = NULLORBLANK and [NIPSS7] = NULLORBLANK
            RETURN VALIDATION MESSAGE
            ENDIF

            [NIPSS2] = NIPSS:RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier IN TUPLE(nipss.0001.lodge.req.xx.xx:Payer)
            [NIPSS7] = NIPSS:RP:pyid.xx.xx:Identifiers.WithholdingPayerNumber.Identifier IN TUPLE(nipss.0001.lodge.req.xx.xx:Payer)
        -->


<assert  id="VR.ATO.NIPSS.416004" diagnostics="DVR.ATO.NIPSS.416004" subject="pyid.02.00:identifiers.australianbusinessnumber.identifier" test="not(count(pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
                          and count(pyid.02.00:Identifiers.WithholdingPayerNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0)
                          "></assert>
<!--
            Rule: VR.ATO.NIPSS.416005
            
            IF rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.PaymentType.Code <> NULLORBLANK 
            AND rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.PaymentType.Code <> SET(""DFRW"",""DNOABN"")
                RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.NIPSS.416005" diagnostics="DVR.ATO.NIPSS.416005" test="not(count(nipss.0001.lodge.req.02.00:PAYGWithholding/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                          and nipss.0001.lodge.req.02.00:PAYGWithholding/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code[@contextRef=$RP.ContextId and not(matches(upper-case(.),'^(DFRW|DNOABN)$'))])
                          "></assert>
<!--
            Rule: VR.ATO.NIPSS.416006
            
            IF [NIPSS28] > [NIPSS9]*0.5 + 1
                RETURN VALIDATION MESSAGE
            ENDIF

            [NIPSS28] = NIPSS:RP:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount 
                WHERE (TUPLE ELEMENT EXPLICIT rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = ""DNOABN"") 
                    IN TUPLE(nipss.0001.lodge.req.xx.xx:PAYGWithholding)
            [NIPSS9] = NIPSS:RP:lrla.xx.xx:Remuneration.ABNNotQuotedPaymentGross.Amount 
                            IN TUPLE(nipss.0001.lodge.req.xx.xx:Payer)
        -->


<assert  id="VR.ATO.NIPSS.416006" diagnostics="DVR.ATO.NIPSS.416006" subject="nipss.0001.lodge.req.02.00:PAYGWithholding/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount" 
         test="not(
          
            round
            (
              sum(nipss.0001.lodge.req.02.00:PAYGWithholding/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount
              [
                @contextRef=$RP.ContextId 
                and not(@i:nil='true' or @i:nil='1') 
                and upper-case(../rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code)='DNOABN'
              ]) * 1000
            )
          
                          &gt; (round(sum(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])* 100) * (0.5 * 10) + 1 * 1000)
                          )"></assert>
<!--
            Rule: VR.ATO.NIPSS.416010
            
            IF [NIPSS28] <> NULL AND [NIPSS28] <> MONETARY(S,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF

            [NIPSS28] = NIPSS:RP:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount 
            WHERE (TUPLE ELEMENT EXPLICIT rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = "DNOABN") 
            IN TUPLE(nipss.0001.lodge.req.xx.xx:PAYGWithholding)
        -->


<assert  id="VR.ATO.NIPSS.416010" diagnostics="DVR.ATO.NIPSS.416010" subject="nipss.0001.lodge.req.02.00:PAYGWithholding/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount" test="not(
                                nipss.0001.lodge.req.02.00:PAYGWithholding/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^[-+]?[0-9]{1,11}(\.[0-9]{0,2})?$')]
                                and upper-case(../rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code) = 'DNOABN'
                          )"></assert>

<!--
            Rule: VR.ATO.NIPSS.416018
            
            WHERE IN TUPLE nipss.0001.lodge.req.xx.xx:Payer
            IF COUNT(nipss.0001.lodge.req.xx.xx:PAYGWithholding) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
       -->


<assert  id="VR.ATO.NIPSS.416018" diagnostics="DVR.ATO.NIPSS.416018" test="not(count(nipss.0001.lodge.req.02.00:PAYGWithholding) &gt; 1)"></assert>
<!--
	        Rule ID: VR.ATO.NIPSS.416021
    
            IF [NIPSS7] <> NULLORBLANK AND WPNALGORITHM([NIPSS7]) = FALSE
                RETURN VALIDATION MESSAGE
            ENDIF

            [NIPSS7] = NIPSS:RP:pyid.xx.xx:Identifiers.WithholdingPayerNumber.Identifier IN TUPLE(nipss.0001.lodge.req.xx.xx:Payer)
        -->


<assert  id="VR.ATO.NIPSS.416021" diagnostics="DVR.ATO.NIPSS.416021" subject="pyid.02.00:Identifiers.WithholdingPayerNumber.Identifier" test="not( 
                               count(pyid.02.00:Identifiers.WithholdingPayerNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                               and
                               not(pyid.02.00:Identifiers.WithholdingPayerNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and function:ValidateTFN(.)])
                             )"></assert>
</rule>

<rule context="prsnstrcnm2.02.00:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]">
<!--
	        Rule ID: VR.ATO.NIPSS.416012

	        IF [NIPSS10] <> NULLORBLANK AND [NIPSS10] <> TEXT(40)
               RETURN VALIDATION MESSAGE
            ENDIF

            [NIPSS10] = NIPSS:RP:pyde.xx.xx:PersonNameDetails.FamilyName.Text 
            WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = "LGL") 
            AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Currency.Code = "C")) 
            IN TUPLE(prsnstrcnm2.xx.xx:PersonNameDetails)
        -->


<assert  id="VR.ATO.NIPSS.416012" diagnostics="DVR.ATO.NIPSS.416012" subject="pyde.02.00:PersonNameDetails.FamilyName.Text" test="not(
                            count(pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 40]) &gt; 0
                            and upper-case(pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 'LGL'
                            and upper-case(pyde.02.00:PersonNameDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 'C'
                        )"></assert>
<!--
	        Rule ID: VR.ATO.NIPSS.416013

	        IF [NIPSS11] <> NULLORBLANK AND [NIPSS11] <> TEXT(40)
               RETURN VALIDATION MESSAGE
            ENDIF

            [NIPSS11] = NIPSS:RP:pyde.xx.xx:PersonNameDetails.GivenName.Text WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = "LGL") AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Currency.Code = "C")) IN TUPLE(prsnstrcnm2.xx.xx:PersonNameDetails)
        -->


<assert  id="VR.ATO.NIPSS.416013" diagnostics="DVR.ATO.NIPSS.416013" subject="pyde.02.00:PersonNameDetails.GivenName.Text" test="not(
                            count(pyde.02.00:PersonNameDetails.GivenName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 40]) &gt; 0
                            and upper-case(pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 'LGL'
                            and upper-case(pyde.02.00:PersonNameDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 'C'
                        )"></assert>
<!--
	        Rule ID: VR.ATO.NIPSS.416016

	        IF [NIPSS12] <> NULLORBLANK AND [NIPSS12] <> TEXT(40)
               RETURN VALIDATION MESSAGE
            ENDIF

            [NIPSS12] = NIPSS:RP:pyde.xx.xx:PersonNameDetails.OtherGivenName.Text WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = "LGL") AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Currency.Code = "C")) IN TUPLE(prsnstrcnm2.xx.xx:PersonNameDetails)
        -->


<assert  id="VR.ATO.NIPSS.416016" diagnostics="DVR.ATO.NIPSS.416016" subject="pyde.02.00:PersonNameDetails.OtherGivenName.Text" test="not(
                            count(pyde.02.00:PersonNameDetails.OtherGivenName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 40]) &gt; 0
                            and upper-case(pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 'LGL'
                            and upper-case(pyde.02.00:PersonNameDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 'C'
                        )"></assert>
<!--
            Rule: VR.ATO.NIPSS.416017
            
            IF pyde.xx.xx:PersonNameDetails.PersonNameType.Code <> NULLORBLANK AND pyde.xx.xx:PersonNameDetails.PersonNameType.Code <> "LGL"
              RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.NIPSS.416017" diagnostics="DVR.ATO.NIPSS.416017" subject="pyde.02.00:PersonNameDetails.PersonNameType.Code" test="not(count(pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                          and upper-case(pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) != 'LGL')
                          "></assert>
</rule>

  <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/nipss.0001.lodge.req.02.00:Payer[not(@i:nil='true' or @i:nil='1')]/nipss.0001.lodge.req.02.00:PAYGWithholding[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--                                                    nipss.0001.lodge.req.02.00:Payer                                   nipss.0001.lodge.req.02.00:PAYGWithholding
            Rule: VR.ATO.NIPSS.416010
            
            IF [NIPSS28] <> NULL AND [NIPSS28] <> MONETARY(S,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF

            [NIPSS28] = NIPSS:RP:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount 
            WHERE (TUPLE ELEMENT EXPLICIT rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = "DNOABN") 
            IN TUPLE(nipss.0001.lodge.req.xx.xx:PAYGWithholding)
             and 
                             upper-case(rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code[not(@i:nil='true' or @i:nil='1')]) = 'DNOABN' 
        -->


    <assert  id="VR.ATO.NIPSS.416010" diagnostics="DVR.ATO.NIPSS.416010" subject="rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount"
             test=" not( @contextRef=$RP.ContextId and not( matches(.,'^[-+]?[0-9]{1,11}(\.[0-9]{0,2})?$'))
                                and ../rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code[not(@i:nil='true' or @i:nil='1') and upper-case(.)= 'DNOABN']                        
                       )
                       "></assert>
  </rule>
  
<!-- xsd-datatype-VR.ATO.GEN.428231, 000423, 410040, 410200, 410201 -->

<rule name="VR.ATO.GEN.410040" context="prsnstrcnm2.02.00:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1')]">
<extends rule="VR-ATO-GEN-000423" />
<extends rule="VR-ATO-GEN-000427" />
<extends rule="VR-ATO-GEN-410040" />
<extends rule="VR-ATO-GEN-410200" />
<extends rule="VR-ATO-GEN-410201" />
<extends rule="VR-ATO-GEN-428231" />
</rule>
<!-- xsd-datatype-VR.ATO.GEN.000434, 000439, 410063, 410202, 410202, 410203, 410204 -->

<rule name="VR.ATO.GEN.000434" context="prsnstrcnm2.02.00:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1')]">
<extends rule="VR-ATO-GEN-000434" />
<extends rule="VR-ATO-GEN-000439" />
<extends rule="VR-ATO-GEN-410063" />
<extends rule="VR-ATO-GEN-410202" />
<extends rule="VR-ATO-GEN-410203" />
<extends rule="VR-ATO-GEN-410204" />
</rule>
<!-- xsd-datatype-VR.ATO.GEN.000446, 000451, 410207, 410131, 410208, 410209 -->

<rule name="VR.ATO.GEN.000434" context="prsnstrcnm2.02.00:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.OtherGivenName.Text[not(@i:nil='true' or @i:nil='1')]">
<extends rule="VR-ATO-GEN-000446" />
<extends rule="VR-ATO-GEN-000451" />
<extends rule="VR-ATO-GEN-410207" />
<extends rule="VR-ATO-GEN-410131" />
<extends rule="VR-ATO-GEN-410208" />
<extends rule="VR-ATO-GEN-410209" />
</rule>
</pattern>