﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Lengths" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Length and Monetary Format Validations for NIPSS</title>

<!-- xsd-datatype-monetary -->

<rule context="rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
	        Rule ID: VR.ATO.NIPSS.416007

	        IF (NIPSS3 <> NULL) AND (NIPSS3 <> MONETARY(S,13,2))
	            RETURN VALIDATION MESSAGE
	        ENDIF
            
            NIPSS3 = NIPSS:$RP:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount
        -->


<assert  id="VR.ATO.NIPSS.416007" diagnostics="DVR.ATO.NIPSS.416007" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or matches(.,'^[-+]?[0-9]{1,11}(\.[0-9]{0,2})?$')"></assert>
</rule>

<rule context="nipss.0001.lodge.req.02.00:Payer[not(@i:nil='true' or @i:nil='1')]/lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
	        Rule ID: VR.ATO.NIPSS.416008

	        IF (NIPSS4 <> NULL) AND (NIPSS4 <> MONETARY(S,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        NIPSS4 = nipss.0001.lodge.req:payer/lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount
            -->


<assert  id="VR.ATO.NIPSS.416008" diagnostics="DVR.ATO.NIPSS.416008" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or matches(.,'^[-+]?[0-9]{1,11}$')"></assert>
</rule>

<rule context="lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
	        Rule ID: VR.ATO.NIPSS.416009

	        IF (NIPSS9 <> NULL) AND (NIPSS9 <> MONETARY(S,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        NIPSS9 = 	nipss.0001.lodge.req:payer/lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
        -->


<assert  id="VR.ATO.NIPSS.416009" diagnostics="DVR.ATO.NIPSS.416009" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or matches(.,'^[-+]?[0-9]{1,11}$')"></assert>
</rule>
<!-- ENUMERATIONS -->

<rule context="pyde.02.00:PersonNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]">
<!--
            Rule ID: VR.ATO.NIPSS.416015

            IF pyde.xx.xx:PersonNameDetails.Currency.Code <> NULLORBLANK and pyde.xx.xx:PersonNameDetails.Currency.Code <> "C"
                RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.NIPSS.416015" diagnostics="DVR.ATO.NIPSS.416015" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or string-length(normalize-space(.)) = 0 or matches(.,'^C$','i')"></assert>
</rule>

<rule context="orgname1.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]">
<!--
	        Rule ID: VR.ATO.NIPSS.416011

	        IF [NIPSS6] <> NULLORBLANK AND [NIPSS6] <> TEXT(200)
   		        RETURN VALIDATION MESSAGE
	        ENDIF

	        NOTE:
	        NIPSS6 = pyde:OrganisationNameDetails.OrganisationalName.Text
	        FDF TYPE: CHAR()
	        FDF LENGTH: 200
	        XBRL TYPE: dtyp:sbrOrganisationNameItemType
	        XBRL LENGTH: 200
        -->


<assert  id="VR.ATO.NIPSS.416011" diagnostics="DVR.ATO.NIPSS.416011" subject="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or string-length(.) &lt; 201"></assert>
</rule>

<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/xbrli:context[not(@i:nil='true' or @i:nil='1')]/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1')]">
<!--
            Rule ID: VR.ATO.GEN.410031
        
            IF (pyid.xx.xx:Identifiers.TaxFileNumber.Identifier <> NULLORBLANK) AND (TFNALGORITHM (pyid.xx.xx:Identifiers.TaxFileNumber.Identifier) = FALSE)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.410031" diagnostics="DVR.ATO.GEN.410031" subject="pyid.02.00:Identifiers.TaxFileNumber.Identifier" test="not(../../@id = $RP.ContextId) or not(upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN') or string-length(normalize-space(.)) = 0 or function:ValidateTFN(.)"></assert>
</rule>
</pattern>